Subject: Re: bug#65708: 30.0.50; Wrong default value for functions in filesets.el

From: Mauro Aranda <[email-masked]>
Date: Sat, 2 Sep 2023 19:46:58 -0300

On 2/9/23 19:42, Stefan Kangas wrote:
 > Mauro Aranda <[email-masked]> writes:
 >
 >> The following user options:
 >> filesets-browse-dir-function
 >> filesets-open-file-function
 >> filesets-save-buffer-function
 >> filesets-commands
 >> filesets-external-viewers
 >>
 >> have overridden the default value of the function widget to the value
 >> nil.  That's an invalid default value.  It'd be better to just remove
 >> that.
 >
 > Makes sense, but you forgot to attach the patch.  ;-)

I was writing it but then I found some other problems with the
defcustoms in filesets.el :-(

I'll attach the patch trying to fix all of them (with a description of
the problems, of course).